{ pkgs, ... }:
{
  # Many settings should be handled by home manager. System-wide settings are however managed here.

  # System packages for all users
  environment.systemPackages = [
    pkgs.ripgrep
    pkgs.wget
  ];

  users.users.felixalb = {
    home = "/Users/felixalb";
    shell = pkgs.zsh;
  };

  programs.zsh.enable = true;
  system.activationScripts.postActivation.text = ''sudo chsh -s ${pkgs.zsh}/bin/zsh''; # Since it's not possible to declare default shell, run this command after build

  # Auto upgrade nix package and the daemon service.
  services.nix-daemon.enable = true;
  nix.package = pkgs.nix;
}
